| SOAP Methods | Rest Equivalent | Comments |
|---|---|---|
addressAndSalesTaxFromPayPalOrder | Currently not on the roadmap | |
auth | POST /transactions | |
authCapture | POST /transactions | For REST, “to_be_captured” should be set to true. |
calculateSalesTax | POST /transactions?dryrun =<boolean> | |
cancel | POST /transactions/<transaction>/actions/cancel> | |
capture | POST /transactions//actions/capture | |
fetchByAccount | GET /transactions?account=<account>, include_children | |
fetchByAutoBill | GET /transactions?subscription=<subscription> | |
fetchByMerchantTransactionId | GET /transactions/<transaction> | |
fetchByPaymentMethod | GET /transactions?source_payment_method=<source_payment_method> | For Rest API, the source _payment_method query parameter is of Enum Type. |
fetchByVid | GET /transactions/<transaction> | |
fetchByWebsessionId | N/A | Will not be implemented. See the SOAP Operations not Implemented in REST topic. |
fetchDelta | N/A | Will not be implemented. See the SOAP Operations not Implemented in REST topic. |
fetchDeltaSince | N/A | Will not be implemented. See the SOAP Operations not Implemented in REST topic. |
finalizeCarrierBilling | POST /transactions/<transaction>/actions/finish?confirmation_code=<confirmation_code> | |
finalizeCustomerAction | POST /transactions/<transaction>/actions/finish | |
finalizeSCAuth | POST /transactions/<transaction>/actions/finish?sca_token=<sca_token> | |
finalizePayPalAuth | POST /transactions/<transaction>/actions/finish | |
migrate | Currently not on the roadmap | |
report | N/A | Will not be implemented. See the SOAP Operations not Implemented in REST topic. |
score | POST /transactions?dryrun=<boolean> | For REST, scoring is performed via Dryrun. API returns Transactions with scores |
Transaction Methods Mapping
The following table contains Transaction SOAP methods and the equivalent REST operations:
Parent topic:Operations Mapping

